﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DapperORM.Common.Extention.DTO
{
    /// <summary>
    /// 忽略列属性
    /// </summary>
    public class IgnoreColumnAttribute : BaseColumnAttribute
    {
        /// <summary>
        /// 构造函数,默认False
        /// </summary>
        public IgnoreColumnAttribute()
        {
            this.IsIgnore = true;
        }

        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="isIgnore"></param>
        public IgnoreColumnAttribute(bool isIgnore)
        {
            this.IsIgnore = isIgnore;
        }
    }
}
